summaryrefslogtreecommitdiffstats
path: root/bin/d-i_manual.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-11-10 01:50:20 +0100
committerHolger Levsen <holger@layer-acht.org>2012-11-10 01:50:20 +0100
commite98321de8f6002d6ed056b23ecdfcd0732ac153a (patch)
tree7da7e282fcaf7719aa2af5aa51b2435e5141ac3f /bin/d-i_manual.sh
parent869fb119a0c0068e96b16a3eec89683aba607edc (diff)
downloadjenkins.debian.net-e98321de8f6002d6ed056b23ecdfcd0732ac153a.tar.xz
pbuilder d-i manual
Diffstat (limited to 'bin/d-i_manual.sh')
-rwxr-xr-xbin/d-i_manual.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/bin/d-i_manual.sh b/bin/d-i_manual.sh
new file mode 100755
index 00000000..eddbc3ad
--- /dev/null
+++ b/bin/d-i_manual.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Copyright 2012 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+
+set -x
+set -e
+export LANG=C
+export MIRROR=http://ftp.de.debian.org/debian
+export http_proxy="http://localhost:3128"
+
+#
+# clean
+#
+rm -fv *.deb *.dsc *_*.build *_*.changes *_*.tar.gz
+
+#
+# prepare build
+#
+cd manual
+sudo pdebuild
+if [ -f /var/base.tgz ] ; then
+ sudo pbuilder --create
+else
+ sudo pbuilder --update
+fi
+
+#
+# build
+#
+cd ..
+sudo pbuilder --build *dsc
+